

<?php 
ini_set('max_execution_time', 0); //300 seconds = 5 minutes 
date_default_timezone_set("Asia/Bangkok");
// echo $_SESSION['company_id'];
include('../include/connectDB.php'); 
include('../include/connectDB_Bill.php'); 

$currentdate = date('Y-m-d');

$yearY = date("Y"); 
$yearM = date("m"); 
$yearD = date("d");
$htime = date("H:i:sa"); 
$current_time = $yearD.'.'.$yearM.'.'.($yearY+543);
$s_trime = $yearY.$yearM.$yearD;
$DateStart=date($s_trime);
$strtime = strtotime($DateStart);
$caltime=strtotime("-2 Month",$strtime);
$ResultDate=date("Y-m-d", $caltime);
$yearY = substr(date("$ResultDate"), 0,-6); 
$yearM = substr(date("$ResultDate"), 5,-3); 
$yearD = substr(date("$ResultDate"), -2); 
$s_trime = $yearD.'.'.$yearM.'.'.($yearY+543);  
// $s_trime = "20.05.2564"; 
?>


<?php

$start_id = start_id($ConnYS);
$end_id = end_id($connFB);

// echo "start_id".$start_id;
// echo "<BR>";
// echo "end_id".$end_id;
// die("stop");

$sql1 = " SELECT
            IN_ID
            ,ADVANCE_DOCNO
            ,EM_CODE
            ,EM_NAME
            ,EM_POSITION
            ,EM_CONTACTDATE
            ,VHC_CODE
            ,VHC_NAME
            ,VHC_TYPE
            ,VHC_GROUP
            ,VHC_OWNER
            ,BR_CODE
            ,BR_NAME
            ,PATHFINDER
            ,SET_CODE
            ,COST_TYPE
            ,INSURANCE_STARTDATE
            ,INSURANCE_ENDDATE
            ,ADVANCE_DATE
            ,ADVANCE_STATUS
            ,CREATE_DATE
            ,CREATE_BY
            ,UPDATE_DATE
            ,UPDATE_BY
            from  TRANS_BWADVANCE
            where   IN_ID  between '".$start_id."' and '".$end_id."' "; 
// echo $sql1;
$rst1 = ibase_query($connFB, $sql1);
// die("Stop");
$x = 0;
while($arr1         = ibase_fetch_assoc($rst1)) {
   
    $IN_ID                  = $arr1["IN_ID"];
    $ADVANCE_DOCNO          = $arr1["ADVANCE_DOCNO"];
    $EM_CODE                = $arr1["EM_CODE"];
    $EM_NAME                = $arr1["EM_NAME"];
    $EM_POSITION            = $arr1["EM_POSITION"];
    $EM_CONTACTDATE         = $arr1["EM_CONTACTDATE"];
    $VHC_CODE               = $arr1["VHC_CODE"];
    $VHC_NAME               = $arr1["VHC_NAME"];
    $VHC_TYPE               = $arr1["VHC_TYPE"];
    $VHC_GROUP              = $arr1["VHC_GROUP"];
    $VHC_OWNER              = $arr1["VHC_OWNER"];
    $BR_CODE                = $arr1["BR_CODE"];
    $BR_NAME                = $arr1["BR_NAME"];
    $PATHFINDER             = $arr1["PATHFINDER"];
    $SET_CODE               = $arr1["SET_CODE"];
    $COST_TYPE              = $arr1["COST_TYPE"];
    $INSURANCE_STARTDATE    = $arr1["INSURANCE_STARTDATE"];
    $INSURANCE_ENDDATE      = $arr1["INSURANCE_ENDDATE"];
    $ADVANCE_DATE           = $arr1["ADVANCE_DATE"];
    $ADVANCE_STATUS         = $arr1["ADVANCE_STATUS"];
    $CREATE_DATE            = $arr1["CREATE_DATE"];
    $CREATE_BY              = $arr1["CREATE_BY"];
    $UPDATE_DATE            = $arr1["UPDATE_DATE"];
    $UPDATE_BY              = $arr1["UPDATE_BY"];

        if ($ConnYS) {
            sqlsrv_begin_transaction($ConnYS);
                try {

                     $sql_name = "INSERT into  TRANS_BWADVANCE (IN_ID ,ADVANCE_DOCNO, EM_CODE, EM_NAME, EM_POSITION, EM_CONTACTDATE, VHC_CODE, VHC_NAME, VHC_TYPE, VHC_GROUP, VHC_OWNER, BR_CODE
                                                , BR_NAME, PATHFINDER, SET_CODE, COST_TYPE, INSURANCE_STARTDATE, INSURANCE_ENDDATE, ADVANCE_DATE, ADVANCE_STATUS, CREATE_DATE, CREATE_BY
                                                , UPDATE_DATE, UPDATE_BY)  
                                         values ('".$IN_ID."', '".$ADVANCE_DOCNO."', '".$EM_CODE."', '".$EM_NAME."', '".$EM_POSITION."', '".$EM_CONTACTDATE."', '".$VHC_CODE."'
                                         , '".$VHC_NAME."', '".$VHC_TYPE."', '".$VHC_GROUP."', '".$VHC_OWNER."', '".$BR_CODE."', '".$BR_NAME."', '".$PATHFINDER."'
                                         , '".$SET_CODE."', '".$COST_TYPE."', '".$INSURANCE_STARTDATE."', '".$INSURANCE_ENDDATE."', '".$ADVANCE_DATE."', '".$ADVANCE_STATUS."', '".$CREATE_DATE."'
                                         , '".$CREATE_BY."', '".$UPDATE_DATE."', '".$UPDATE_BY."') "; 
                            // echo $sql_name."<br>".$x;
                        $stm_plan = sqlsrv_prepare ($ConnYS, $sql_name);
                        if (!$stm_plan) {
                            throw new Exception("sql_name  plan#". $sql_name); 
                        }
                        if (!sqlsrv_execute($stm_plan)) {
                            throw new Exception("sql_name นำเข้า plan ไม่สำเหร็จ#" . $sql_name);
                        }
       
                        // sqlsrv_rollback($ConnYS);

                sqlsrv_commit($ConnYS);
                // echo "Success";
            } catch (Exception $ex) {
                sqlsrv_rollback($ConnYS);
                 sqlsrv_close($ConnYS);
                echo $ex."ไม่บันทึกดาต้าเบส";
            }
        }
        $x++;
    }


// echo "Success".$x;
echo "15";

write_text("TRANS_BWADVANCE",$current_time,$htime);
// write_text2("....................................");

function write_text($TRANS_BWADVANCE,$current_time,$htime){
    $t_string = "$TRANS_BWADVANCE".'  '."$current_time".' '."$htime";
    $strFileName = "LogSynDB.txt";
    $objFopen = fopen($strFileName, 'a');
    $strText1 = "$t_string\r\n";
    fwrite($objFopen, $strText1);
}


function end_id($connFB){
    $sql_idex = "SELECT max(IN_ID) as END_INDEX from  TRANS_BWADVANCE";
    $rs_idex = ibase_query($connFB, $sql_idex);
			$arr_idex = ibase_fetch_assoc($rs_idex); 
			$end_em_idex =  ($arr_idex["END_INDEX"]);
		return $end_em_idex;
}

function start_id($ConnYS){
    $sql_idex = "SELECT (CASE WHEN max(IN_ID) is NULL THEN 0 ELSE max(IN_ID)+1 END) as START_INDEX from TRANS_BWADVANCE ";
    $rs_br_idex = sqlsrv_query($ConnYS, $sql_idex);
			$arr_idex = sqlsrv_fetch_array($rs_br_idex); 
			$start_idex =  ($arr_idex["START_INDEX"]);
        return $start_idex;
}
                
 ?>
	







